Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion.util
Class ExceptionUtil

    java.lang.Object
      com.verisign.epp.codec.suggestion.util.ExceptionUtil

    public class ExceptionUtil

extends java.lang.Object

Utility class to facilitate error handling.

Author:
  jcolosi

Constructor Summary
`ExceptionUtil()`

Method Summary
`static void` | `missingDuringDecode(java.lang.String aElement)` Helper method for dealing with missing elements while decoding.
`static void` | `missingDuringEncode(java.lang.String aElement)` Helper method for dealing with missing elements while encoding.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionUtil

    public ExceptionUtil()

Method Detail

### missingDuringDecode

    public static void missingDuringDecode(java.lang.String aElement)
                                    throws EPPDecodeException

  Helper method for dealing with missing elements while decoding.

  Parameters:
    `aElement` - element that is missing
  Throws:
    `EPPDecodeException`

### missingDuringEncode

    public static void missingDuringEncode(java.lang.String aElement)
                                    throws EPPEncodeException

  Helper method for dealing with missing elements while encoding.

  Parameters:
    `aElement` - element that is missing
  Throws:
    `EPPDecodeException`
    `EPPEncodeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.